import type { IRpcSubscriptionsApi } from '@solana/rpc-transport';
import { AccountNotificationsApi } from './account-notifications.js';
import { BlockNotificationsApi } from './block-notifications.js';
import { LogsNotificationsApi } from './logs-notifications.js';
import { ProgramNotificationsApi } from './program-notifications.js';
import { RootNotificationsApi } from './root-notifications.js';
import { SignatureNotificationsApi } from './signature-notifications.js';
import { SlotNotificationsApi } from './slot-notifications.js';
import { SlotsUpdatesNotificationsApi } from './slots-updates-notifications.js';
import { VoteNotificationsApi } from './vote-notifications.js';
type Config = Readonly<{
    onIntegerOverflow?: (methodName: string, keyPath: (number | string)[], value: bigint) => void;
}>;
export type SolanaRpcSubscriptions = AccountNotificationsApi & BlockNotificationsApi & LogsNotificationsApi & ProgramNotificationsApi & RootNotificationsApi & SignatureNotificationsApi & SlotNotificationsApi;
export type SolanaRpcSubscriptionsUnstable = SlotsUpdatesNotificationsApi & VoteNotificationsApi;
export declare function createSolanaRpcSubscriptionsApi(config?: Config): IRpcSubscriptionsApi<SolanaRpcSubscriptions & SolanaRpcSubscriptionsUnstable>;
export declare function createSolanaRpcSubscriptionsApi_UNSTABLE(config?: Config): IRpcSubscriptionsApi<SolanaRpcSubscriptions & SolanaRpcSubscriptionsUnstable>;
export type { AccountNotificationsApi, SignatureNotificationsApi, SlotNotificationsApi };
//# sourceMappingURL=index.d.ts.map